Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class Confirm

    java.lang.Object
      be.cin.nip.async.generic.Confirm

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:53:26+02:00",
               comments="JAXB RI v2.2.11")
    public class Confirm

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="MsgHashValues" type="{urn:be:cin:types:v1}Base64BinaryList" minOccurs="0"/>
             <element name="MsgRefValues" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
             <element name="TAckContents" type="{urn:be:cin:types:v1}Base64BinaryList" minOccurs="0"/>
             <element name="TAckReferences" type="{urn:be:cin:types:v1}StringList" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Confirm()`

Method Summary
`List<byte[]>` | `getMsgHashValues()` Gets the value of the msgHashValues property.
`List<String>` | `getMsgRefValues()` Gets the value of the msgRefValues property.
`OrigineType` | `getOrigin()` Gets the value of the origin property.
`List<byte[]>` | `getTAckContents()` Gets the value of the tAckContents property.
`List<String>` | `getTAckReferences()` Gets the value of the tAckReferences property.
`void` | `setOrigin(OrigineType value)` Sets the value of the origin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Confirm

    public Confirm()

Method Detail

### getOrigin

    public OrigineType getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `OrigineType`

### setOrigin

    public void setOrigin(OrigineType value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `OrigineType`

### getMsgHashValues

    public List<byte[]> getMsgHashValues()

  Gets the value of the msgHashValues property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the msgHashValues property.

  For example, to add a new item, do as follows:

          getMsgHashValues().add(newItem);

  Objects of the following type(s) are allowed in the list byte[]

### getMsgRefValues

    public List<String> getMsgRefValues()

  Gets the value of the msgRefValues property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the msgRefValues property.

  For example, to add a new item, do as follows:

          getMsgRefValues().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getTAckContents

    public List<byte[]> getTAckContents()

  Gets the value of the tAckContents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tAckContents property.

  For example, to add a new item, do as follows:

          getTAckContents().add(newItem);

  Objects of the following type(s) are allowed in the list byte[]

### getTAckReferences

    public List<String> getTAckReferences()

  Gets the value of the tAckReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tAckReferences property.

  For example, to add a new item, do as follows:

          getTAckReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.